// Triangle.java
// Definition of class Triangle (version 1)
import java.awt.Graphics; 

/**
*  <b>Triangle</b> describes a two-dimensional Triangle.
*
*/


public class Triangle implements Shape
{
	public Point pa = new Point();
	public Point pb = new Point();
	public Point pc = new Point();

	public Triangle() {  }

	public Triangle(Point a, Point b, Point c) { setTriangle(a,b,c); }


	public void setTriangle(Point a, Point b, Point c)
	{
		pa.setPoint(a.x,a.y);
		pb.setPoint(b.x,b.y);
		pc.setPoint(c.x,c.y);
	}


	public String getName() { return "Triangle"; }

	public void draw(Graphics g)
	{
		g.drawLine(pa.nX(),pa.nY(),pb.nX(),pb.nY());
		g.drawLine(pb.nX(),pb.nY(),pc.nX(),pc.nY());
		g.drawLine(pc.nX(),pc.nY(),pa.nX(),pa.nY());
	}
}
