// TestGeom.java
import java.awt.*;
import javax.swing.*;

public class TestGeom extends JPanel {
	Point pt;
	Line line;

	public TestGeom()
	{
		Point pa = new Point(0.1,0.1);
		Point pb = new Point(1.5,0.5);
		pt = new Point(0.5,0.8);
		line = new Line(pa,pb);
		System.out.println("Position: " + Geom2D.getPosition(line,pt));
		double A,B,C;
		A = Geom2D.angle(pt,pa,pb);
		System.out.println("A: " + A);
		B = Geom2D.angle(pa,pb,pt);
		System.out.println("B: " + B);
		C = Geom2D.angle(pb,pt,pa);
		System.out.println("C: " + C);
		System.out.println("Sum: " + (A+B+C));
	}
	public static void main(String args[])
	{
		// General window specification
		TestGeom panel = new TestGeom();
		JFrame application = new JFrame("TestGeom");
		application.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
		application.add(panel);
		application.setSize( 240, 180 );
		application.setVisible( true );
	}

	public void paintComponent(Graphics g)
	{
		super.paintComponent(g);
		Point.yoffset = getSize().getHeight();
		pt.draw(g);
		line.draw(g);
	}
}