// TestCircle.java
import java.awt.*;
import javax.swing.*;

public class TestCircle extends JPanel {
	Circle circ;
	Point pt;

	public TestCircle()
	{
		pt = new Point(0.1, 0.9);
		circ = new Circle(0.5,0.5,0.3);
	}
	public void destroy()
	{
		pt = null;
		circ = null;
		System.gc();
	}
	public static void main(String args[])
	{
		// General window specification
		TestCircle panel = new TestCircle();
		JFrame application = new JFrame("TestCircle");
		application.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
		application.add(panel);
		application.setSize( 240, 180 );
		application.setVisible( true );
	}

	public void paintComponent(Graphics g)
	{
		super.paintComponent(g);
		pt.draw(g);
		circ.draw(g);
	}
}