// TestLine.java
import java.awt.*;
import javax.swing.*;

public class TestLine extends JPanel {
	Point pt[];
	Line seg[];

	public TestLine()
	{
		pt = new Point[3];
		pt[0] = new Point(0.1,0.1);
		pt[1] = new Point(0.5, 0.8);
		pt[2] = new Point().setX(0.8).setY(0.1);
		seg = new Line[3];
		seg[0] = new Line(pt[0],pt[1]);
		seg[1] = new Line(pt[1],pt[2]);
		seg[2] = new Line(pt[2],pt[0]);
	}
	public static void main(String args[])
	{
		// General window specification
		TestLine panel = new TestLine();
		JFrame application = new JFrame("TestLine");
		application.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
		application.add(panel);
		application.setSize( 240, 180 );
		application.setVisible( true );
	}

	public void paintComponent(Graphics g)
	{
		super.paintComponent(g);
		for (int i=0; i<seg.length; i++) seg[i].draw(g);
	}
}