// FrameTest.java
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class FrameTest extends JFrame{
	Shape arrayOfShapes[];

	FrameTest(String title)
	{
		super(title);
	}

	public void init()
	{
		JPanel panel = new JPanel()
		{
			public void paint(Graphics g)
			{
				super.paint(g);
				for ( int i = 0; i < arrayOfShapes.length; i++ )
					arrayOfShapes[i].draw(g);
			}
		};
		panel.setBackground(Color.white);
		getContentPane().add(panel);

		arrayOfShapes = new Shape[ 3 ];

	  // aim arrayOfShapes[0] at subclass Point object
		arrayOfShapes[ 0 ] = new Point( 0.1, 0.1 );

	  // aim arrayOfShapes[1] at subclass Line object
		arrayOfShapes[ 1 ] = new Line(0.1, 0.4, 0.4, 0.1);

	  // aim arrayOfShapes[2] at subclass Triangle object
		arrayOfShapes[ 2 ] = new Triangle(new Point(0.1,0.8),new Point(0.8,0.6), new Point(0.8,0.1));  

	}


	public static void main( String args[])
	{
		FrameTest window = new FrameTest("Shapes");
		window.init();
		window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		window.setSize(120,120);
		window.show();
	}		
}
