// TestShape.java
// Driver for point, line, triangle hierarchy
import java.awt.Graphics; 
import javax.swing.*;

public class TestShape extends JPanel{
	Shape arrayOfShapes[];

	public TestShape()
   {
      //Circle circle = new Circle( 0.4, 0.4, 0.2 );  


      arrayOfShapes = new Shape[ 3 ];

      // aim arrayOfShapes[0] at subclass Point object
      arrayOfShapes[ 0 ] = new Point( 0.1, 0.1 );

      // aim arrayOfShapes[1] at subclass Line object
      arrayOfShapes[ 1 ] = new Line(0.1, 0.4, 0.4, 0.1);

      // aim arrayOfShapes[2] at subclass Triangle object
      arrayOfShapes[ 2 ] = new Triangle(new Point(0.1,0.8),new Point(0.8,0.6), new Point(0.8,0.2));  

   }
	public static void main(String args[])
	{
		// General window specification
		TestShape panel = new TestShape();
		JFrame application = new JFrame("TestShape");
		application.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
		application.add(panel);
		application.setSize( 240, 180 );
		application.setVisible( true );
	}

	public void paintComponent(Graphics g)
	{
		super.paintComponent(g);
		for ( int i = 0; i < arrayOfShapes.length; i++ )
		  arrayOfShapes[i].draw(g);
   }
}
